# Generated from riemann-aws-0.1.4.gem by gem2rpm -*- rpm-spec -*-
%global gem_name riemann-aws

Name: rubygem-%{gem_name}
Version: 0.1.4
Release: 1%{?dist}
Summary: Submits AWS stats to riemann
License: MIT
URL: https://github.com/riemann/riemann-tools
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby >= 1.8.7
BuildArch: noarch

%description
Submits AWS stats to riemann.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/


mkdir -p %{buildroot}%{_bindir}
cp -a .%{_bindir}/* \
        %{buildroot}%{_bindir}/

find %{buildroot}%{gem_instdir}/bin -type f | xargs chmod a+x

%check
pushd .%{gem_instdir}
# Run the test suite.
popd

%files
%dir %{gem_instdir}
%{_bindir}/riemann-s3-list
%{_bindir}/riemann-s3-status
%{_bindir}/riemann-elb-metrics
%{_bindir}/riemann-aws-rds-status
%{_bindir}/riemann-aws-sqs-status
%{_bindir}/riemann-aws-billing
%{_bindir}/riemann-aws-status
%license %{gem_instdir}/LICENSE
%{gem_instdir}/bin
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%doc %{gem_instdir}/README.md

%changelog
* Wed Aug 25 2021 mockbuilder - 0.1.4-1
- Initial package
